Index: /trunk/src/org/apollo/gui/ApolloColorIndexedModels.java
===================================================================
--- /trunk/src/org/apollo/gui/ApolloColorIndexedModels.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/ApolloColorIndexedModels.java	(revision 1102)
@@ -1,32 +1,29 @@
 package org.apollo.gui;
 
-import java.awt.Color;
-import java.awt.image.IndexColorModel;
+import org.expeditee.core.Colour;
 
 public class ApolloColorIndexedModels {
 	
-	public static final Color KEY_COLOR = new Color(123,58,123,0);
-	private static final int KEY_INDEX = 0; 
+	public static final Colour KEY_COLOR = Colour.FromRGBA255(123,58,123,0);
+	//private static final int KEY_INDEX = 0; 
 	
 	/** Color index model for the track graphs */
-	public static final IndexColorModel graphIndexColorModel;
+	//public static final IndexColorModel graphIndexColorModel;
 
+	public static final Colour WAVEFORM_COLOR = Colour.fromRGB24BitPacked(0x1C5BA3);
+	public static final Colour WAVEFORM_SELECTION_COLOR = Colour.YELLOW;
 	
-	public static final Color WAVEFORM_COLOR = new Color(0x1C5BA3);
-	public static final Color WAVEFORM_SELECTION_COLOR = Color.YELLOW;
+	//private static final int WAVEFORM_INDEX = 1;
+	//private static final int WAVEFORM_SELECTION_INDEX = 2;
 	
-	private static final int WAVEFORM_INDEX = 1;
-	private static final int WAVEFORM_SELECTION_INDEX = 2;
+	//public static final IndexColorModel linkedTrackIndexColorModel;
 	
-	
-	public static final IndexColorModel linkedTrackIndexColorModel;
-	
-	public static final Color TRACK1_COLOR = new Color(0x1C5BA3);
-	public static final Color TRACK2_COLOR = new Color(0x3280B7);
+	public static final Colour TRACK1_COLOR = Colour.fromRGB24BitPacked(0x1C5BA3);
+	public static final Colour TRACK2_COLOR = Colour.fromRGB24BitPacked(0x3280B7);
 	
 	public static final int TRACK1_INDEX = 1;
 	public static final int TRACK2_INDEX = 2;
 
-	static { // Prepare the global color index model for the graphs
+	/*static { // Prepare the global color index model for the graphs
 
 		// For waveform graphs:
@@ -35,15 +32,15 @@
 		byte[] blues = new byte[256];
 		
-		reds[KEY_INDEX] = (byte)KEY_COLOR.getRed();
-		greens[KEY_INDEX] = (byte)KEY_COLOR.getGreen();
-		blues[KEY_INDEX] = (byte)KEY_COLOR.getBlue();
+		reds[KEY_INDEX] = (byte)KEY_COLOR.getRed255();
+		greens[KEY_INDEX] = (byte)KEY_COLOR.getGreen255();
+		blues[KEY_INDEX] = (byte)KEY_COLOR.getBlue255();
 		
-		reds[WAVEFORM_INDEX] = (byte)WAVEFORM_COLOR.getRed();
-		greens[WAVEFORM_INDEX] = (byte)WAVEFORM_COLOR.getGreen();
-		blues[WAVEFORM_INDEX] = (byte)WAVEFORM_COLOR.getBlue();
+		reds[WAVEFORM_INDEX] = (byte)WAVEFORM_COLOR.getRed255();
+		greens[WAVEFORM_INDEX] = (byte)WAVEFORM_COLOR.getGreen255();
+		blues[WAVEFORM_INDEX] = (byte)WAVEFORM_COLOR.getBlue255();
 		
-		reds[WAVEFORM_SELECTION_INDEX] = (byte)WAVEFORM_SELECTION_COLOR.getRed();
-		greens[WAVEFORM_SELECTION_INDEX] = (byte)WAVEFORM_SELECTION_COLOR.getGreen();
-		blues[WAVEFORM_SELECTION_INDEX] = (byte)WAVEFORM_SELECTION_COLOR.getBlue();
+		reds[WAVEFORM_SELECTION_INDEX] = (byte)WAVEFORM_SELECTION_COLOR.getRed255();
+		greens[WAVEFORM_SELECTION_INDEX] = (byte)WAVEFORM_SELECTION_COLOR.getGreen255();
+		blues[WAVEFORM_SELECTION_INDEX] = (byte)WAVEFORM_SELECTION_COLOR.getBlue255();
 		
 		graphIndexColorModel = new IndexColorModel(8, 256, reds, greens, blues, KEY_INDEX);
@@ -55,22 +52,18 @@
 		blues = new byte[256];
 		
-		reds[KEY_INDEX] = (byte)KEY_COLOR.getRed();
-		greens[KEY_INDEX] = (byte)KEY_COLOR.getGreen();
-		blues[KEY_INDEX] = (byte)KEY_COLOR.getBlue();
+		reds[KEY_INDEX] = (byte)KEY_COLOR.getRed255();
+		greens[KEY_INDEX] = (byte)KEY_COLOR.getGreen255();
+		blues[KEY_INDEX] = (byte)KEY_COLOR.getBlue255();
 		
-		reds[TRACK1_INDEX] = (byte)TRACK1_COLOR.getRed();
-		greens[TRACK1_INDEX] = (byte)TRACK1_COLOR.getGreen();
-		blues[TRACK1_INDEX] = (byte)TRACK1_COLOR.getBlue();
+		reds[TRACK1_INDEX] = (byte)TRACK1_COLOR.getRed255();
+		greens[TRACK1_INDEX] = (byte)TRACK1_COLOR.getGreen255();
+		blues[TRACK1_INDEX] = (byte)TRACK1_COLOR.getBlue255();
 		
-		reds[TRACK2_INDEX] = (byte)TRACK2_COLOR.getRed();
-		greens[TRACK2_INDEX] = (byte)TRACK2_COLOR.getGreen();
-		blues[TRACK2_INDEX] = (byte)TRACK2_COLOR.getBlue();
+		reds[TRACK2_INDEX] = (byte)TRACK2_COLOR.getRed255();
+		greens[TRACK2_INDEX] = (byte)TRACK2_COLOR.getGreen255();
+		blues[TRACK2_INDEX] = (byte)TRACK2_COLOR.getBlue255();
 		
 		linkedTrackIndexColorModel = new IndexColorModel(8, 256, reds, greens, blues, KEY_INDEX);
 		
-	}
-	
-	
-	
-	
+	}*/
 }
Index: /trunk/src/org/apollo/gui/DualPeakTroughWaveFormRenderer.java
===================================================================
--- /trunk/src/org/apollo/gui/DualPeakTroughWaveFormRenderer.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/DualPeakTroughWaveFormRenderer.java	(revision 1102)
@@ -30,9 +30,9 @@
 	 * 			If audioformat is not supported. See SampledAudioManager.isFormatSupportedForPlayback
 	 */
-	public DualPeakTroughWaveFormRenderer(AudioFormat audioFormat) {
+	public DualPeakTroughWaveFormRenderer(AudioFormat audioFormat)
+	{
 		if (audioFormat == null) throw new NullPointerException("audioFormat");
 		
-		if (!SampledAudioManager.getInstance().isFormatSupportedForPlayback(audioFormat)) 
-			throw new IllegalArgumentException();
+		if (!SampledAudioManager.getInstance().isFormatSupportedForPlayback(audioFormat)) throw new IllegalArgumentException();
 
 		sampleSize = audioFormat.getSampleSizeInBits();
@@ -70,5 +70,6 @@
 	 * 		interleaves in rendering order)
 	 */
-	public float[] getSampleAmplitudes(byte[] audioBytes, int startFrame, int frameLength, int aggregationSize) {
+	public float[] getSampleAmplitudes(byte[] audioBytes, int startFrame, int frameLength, int aggregationSize)
+	{
 		assert(audioBytes != null);
 		assert(startFrame >= 0);
@@ -77,7 +78,5 @@
 		int aggregationCount = frameLength / aggregationSize;
 		
-		float[] amplitudes = (aggregationSize == 1) ? 
-			new float[aggregationCount] :
-				new float[aggregationCount * 2];
+		float[] amplitudes = (aggregationSize == 1) ? new float[aggregationCount] : new float[aggregationCount * 2];
 		
 		if (sampleSize == 16) {
Index: /trunk/src/org/apollo/gui/EditableSampledTrackGraphView.java
===================================================================
--- /trunk/src/org/apollo/gui/EditableSampledTrackGraphView.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/EditableSampledTrackGraphView.java	(revision 1102)
@@ -1,9 +1,7 @@
 package org.apollo.gui;
 
-import java.awt.Color;
 import java.awt.Graphics;
 import java.awt.Graphics2D;
 import java.awt.Point;
-import java.awt.Rectangle;
 import java.awt.event.KeyEvent;
 import java.awt.event.KeyListener;
@@ -23,9 +21,12 @@
 import org.apollo.util.TrackNameCreator;
 import org.apollo.widgets.SampledTrack;
+import org.expeditee.core.Colour;
+import org.expeditee.core.bounds.AxisAlignedBoxBounds;
+import org.expeditee.gio.gesture.StandardGestureActions;
+import org.expeditee.gio.swing.SwingConversions;
+import org.expeditee.gio.swing.SwingMiscManager;
 import org.expeditee.gui.Browser;
-import org.expeditee.gui.DisplayIO;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
-import org.expeditee.gui.FrameGraphics;
-import org.expeditee.gui.FrameMouseActions;
 import org.expeditee.gui.FreeItems;
 import org.expeditee.items.Item;
@@ -52,6 +53,6 @@
 	private boolean selectAllOnDoubleClick = false;
 
-	public static final Color SELECTION_BACKING_COLOR_SELECT_ONLY = Color.BLACK;
-	private static final Color SELECTION_BACKING_COLOR_SELECT_AND_COPY = Color.GREEN;
+	public static final Colour SELECTION_BACKING_COLOR_SELECT_ONLY = Colour.BLACK;
+	private static final Colour SELECTION_BACKING_COLOR_SELECT_AND_COPY = Colour.GREEN;
 
 	private static final int SELECTION_MODE_SELECT_ONLY = 1;
@@ -215,5 +216,5 @@
 			}
 			
-			FrameGraphics.refresh(true);
+			DisplayController.requestRefresh(true);
 			
 		}
@@ -289,5 +290,5 @@
 			assert(copiedAudioRegion != null);
 			
-			Frame targetFrame = DisplayIO.getCurrentFrame();
+			Frame targetFrame = DisplayController.getCurrentFrame();
 			if (targetFrame != null) {
 				
@@ -307,18 +308,18 @@
 				assert(Browser._theBrowser != null);
 				
-				// A workround for getting the widget into fre space centered on cursor
+				// A workaround for getting the widget into free space centred on cursor
 				Point p = e.getLocationOnScreen();
-				SwingUtilities.convertPointFromScreen(p, Browser._theBrowser.getContentPane());
+				SwingUtilities.convertPointFromScreen(p, SwingMiscManager.getIfUsingSwingGraphicsManager().getContentPane());
 				twidget.setPosition(p.x - (twidget.getWidth() / 2), p.y - (twidget.getHeight() / 2));
 
 				for (Item i : twidget.getItems()) {
-					i.setOffset(new Point(
-							(i.getX() - DisplayIO.getMouseX()) + (twidget.getWidth() / 2), 
-							(i.getY() - FrameMouseActions.getY()) + (twidget.getHeight() / 2)
-						));
+					i.setOffset(SwingConversions.fromSwingPoint(new Point(
+							(i.getX() - DisplayController.getMouseX()) + (twidget.getWidth() / 2), 
+							(i.getY() - DisplayController.getMouseY()) + (twidget.getHeight() / 2)
+						)));
 				}
 				
 				// Put the new widget into free space
-				FrameMouseActions.pickup(twidget.getItems());
+				StandardGestureActions.pickup(twidget.getItems());
 
 			}
@@ -399,5 +400,6 @@
 	
 	@Override
-	public void paint(Graphics g) {
+	public void paint(Graphics g)
+	{
 		super.paint(g);
 
@@ -416,10 +418,6 @@
 			}
 			
-			g.setColor(Color.RED);
-			g.drawLine(
-					x, 
-					0, 
-					x,
-					getHeight());
+			g.setColor(SwingConversions.toSwingColor(Colour.RED));
+			g.drawLine(x, 0, x, getHeight());
 			
 		}
@@ -432,8 +430,13 @@
 	private void paintLock(Graphics g) {
 		if (isPlaying()) {
-			IconRepository.getIcon("lock.png").paintIcon(null,
+			/*IconRepository.getIcon("lock.png").paintIcon(null,
 					g, 
 					getWidth() - LOCK_ICON_CORNER_OFFSET, 
-					LOCK_ICON_CORNER_OFFSET - 16);
+					LOCK_ICON_CORNER_OFFSET - 16);*/
+			
+			g.drawImage(SwingMiscManager.getIfUsingSwingImageManager().getInternalImage(IconRepository.getIcon("lock.png")), 
+					getWidth() - LOCK_ICON_CORNER_OFFSET, 
+					LOCK_ICON_CORNER_OFFSET - 16,
+					null);
 		}
 	}
@@ -442,5 +445,5 @@
 		Point exp = getExpediteePoint();
 		if (exp != null) {
-			FrameGraphics.invalidateArea(new Rectangle(
+			DisplayController.invalidateArea(new AxisAlignedBoxBounds(
 					exp.x + getWidth() - LOCK_ICON_CORNER_OFFSET, 
 					exp.y + LOCK_ICON_CORNER_OFFSET  - 16, 
@@ -505,5 +508,6 @@
 			
 			color =  (selectionMode == SELECTION_MODE_SELECT_ONLY) ?
-					SELECTION_BACKING_COLOR_SELECT_ONLY : SELECTION_BACKING_COLOR_SELECT_AND_COPY;
+						SwingConversions.toSwingColor(SELECTION_BACKING_COLOR_SELECT_ONLY) :
+						SwingConversions.toSwingColor(SELECTION_BACKING_COLOR_SELECT_AND_COPY);
 			super.paint(g);
 		}
Index: /trunk/src/org/apollo/gui/ExpandedTrackManager.java
===================================================================
--- /trunk/src/org/apollo/gui/ExpandedTrackManager.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/ExpandedTrackManager.java	(revision 1102)
@@ -2,16 +2,14 @@
 
 import java.awt.Dimension;
+import java.awt.Graphics2D;
 import java.awt.GridBagConstraints;
 import java.awt.GridBagLayout;
-import java.awt.Rectangle;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
-import java.awt.event.ComponentEvent;
-import java.awt.event.ComponentListener;
 import java.util.LinkedList;
 
 import javax.swing.JButton;
 import javax.swing.JLabel;
-import javax.swing.SwingUtilities;
+import javax.swing.JPanel;
 
 import org.apollo.audio.SampledTrackModel;
@@ -22,9 +20,15 @@
 import org.apollo.util.TrackModelHandler;
 import org.apollo.util.TrackModelLoadManager;
+import org.expeditee.core.bounds.AxisAlignedBoxBounds;
+import org.expeditee.gio.EcosystemManager;
+import org.expeditee.gio.InputManager.WindowEventListener;
+import org.expeditee.gio.InputManager.WindowEventType;
+import org.expeditee.gio.swing.SwingConversions;
+import org.expeditee.gio.swing.SwingMiscManager;
 import org.expeditee.gui.Browser;
-import org.expeditee.gui.FrameGraphics;
-import org.expeditee.gui.MessageBay;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Popup;
 import org.expeditee.gui.PopupManager;
+import org.expeditee.gui.PopupManager.ExpandShrinkAnimator;
 
 /**
@@ -40,54 +44,38 @@
 	
 	/** All epxanded tracks ... either in all in view or all selected ... to be viewed */
-	private LinkedList<ExpandedTrackPopup> expandedTracks = new LinkedList<ExpandedTrackPopup> (); // SHARED Model data
+	private LinkedList<ExpandedTrackPopup> expandedTracks = new LinkedList<ExpandedTrackPopup>(); // SHARED Model data
 
 	private MultiTrackExpansionPopup trackSelectionPopup = new MultiTrackExpansionPopup();
 	
 	private static ExpandedTrackManager instance = new ExpandedTrackManager();
-	private ExpandedTrackManager() {
-		
+	
+	private ExpandedTrackManager()
+	{
 		// Keep view centered to browser size
-		SwingUtilities.invokeLater(new Runnable() {
-			public void run() {
-
-				// Keep expanded view centered to the browser window
-				if (Browser._theBrowser != null) {
-					Browser._theBrowser.addComponentListener(new ComponentListener() {
-
-						public void componentHidden(ComponentEvent e) {
-						}
-
-						public void componentMoved(ComponentEvent e) {
-						}
-
-						public void componentResized(ComponentEvent e) {
-							
-							if (PopupManager.getInstance().isShowing(trackSelectionPopup)) {
-								// User currently selecting..
-								trackSelectionPopup.setLocation(
-										(Browser._theBrowser.getWidth() / 2) - (trackSelectionPopup.getWidth() / 2), 0);
-								
-							} else { // expanded views might be showing
-								
-								// Fails with Maximizing of window on some systems... swing
-								// bug!! really anoying
-								updateLayout();
-	
-							}
-	
-						}
-
-						public void componentShown(ComponentEvent e) {
-						}
-						
-					});
+		EcosystemManager.getInputManager().addWindowEventListener(new WindowEventListener()
+		{
+			@Override
+			public void onWindowEvent(WindowEventType type)
+			{
+				if (type != WindowEventType.WINDOW_RESIZED) return;
+				if (PopupManager.getInstance().isShowing(trackSelectionPopup)) {
+					// User currently selecting..
+					trackSelectionPopup.setLocation((EcosystemManager.getGraphicsManager().getWindowSize().getWidth() - trackSelectionPopup.getFullBounds().getWidth()) / 2, 0);
+					
+				} else { // expanded views might be showing
+					
+					// Fails with maximising of window on some systems... swing
+					// bug!! really annoying
+					updateLayout();
+
 				}
-				
-			}
+			}
+			
 		});
 		
-		// Registewr for (indirectly) handling track models
+		// Register for (indirectly) handling track models
 		TrackModelLoadManager.getInstance().addTrackModelHandler(this);
 
+		PopupManager.getInstance().add(trackSelectionPopup);
 	}
 	
@@ -162,10 +150,6 @@
 	 * 		If trackModel or trackMix or trackSourceFrameName or localFilename is null.
 	 */
-	public boolean addTrackToSelection(
-			SampledTrackModel track, 
-			String trackSourceFrameName,
-			Rectangle animationSource,
-			TrackMixSubject mix) {
-		
+	public boolean addTrackToSelection(SampledTrackModel track, String trackSourceFrameName, AxisAlignedBoxBounds animationSource, TrackMixSubject mix)
+	{
 		assert(track != null);
 		assert(Browser._theBrowser != null);
@@ -174,6 +158,5 @@
 		synchronized(expandedTracks) {
 	
-			if (expandedTracks.size() < MAX_EXPANDED_TRACK_SIZE 
-					&& !isTrackInExpansionSelection(track)) {
+			if (expandedTracks.size() < MAX_EXPANDED_TRACK_SIZE && !isTrackInExpansionSelection(track)) {
 				
 				ExpandedTrackPopup.giveToExpandedTrackManager(
@@ -183,36 +166,17 @@
 						0,
 						track.getFrameCount()); /** @see #receiveExpandedTrackPopup */
-	
-				Rectangle trackSelectionPopupBounds = null;
 				
 				// Ensure that the trackSelectionPopup is not already showing / animated to show
 				if (!PopupManager.getInstance().isShowing(trackSelectionPopup)) {
 					
-					trackSelectionPopupBounds = new Rectangle(
-							(Browser._theBrowser.getWidth() / 2 ) - (trackSelectionPopup.getWidth() / 2),
-							0, 
-							trackSelectionPopup.getWidth(), 
-							trackSelectionPopup.getHeight());
+					trackSelectionPopup.setLocation((DisplayController.getFramePaintArea().getWidth() - trackSelectionPopup.getFullBounds().getWidth()) / 2, 0);
 					
 					// Creep from above
-					PopupManager.getInstance().showPopup(
-							trackSelectionPopup,
-							trackSelectionPopupBounds.getLocation(),
-							null,
-							PopupManager.getInstance().new ExpandShrinkAnimator(
-									trackSelectionPopupBounds,
-									null));
-					
-				} else {
-					trackSelectionPopup.repaint();
+					trackSelectionPopup.show();
 				}
 				
 				// Animate a fake popup expanding into the trackSelectionPopup from the given source if not null
 				if (animationSource != null) {
-					
-					PopupManager.getInstance().doPureAnimation(PopupManager.getInstance().new ExpandShrinkAnimator(
-							animationSource, null), 
-							(trackSelectionPopupBounds == null) ?
-									trackSelectionPopup.getBounds() : trackSelectionPopupBounds);
+					((ExpandShrinkAnimator) trackSelectionPopup.getAnimator()).setInitialBounds(animationSource);
 				}
 				
@@ -253,11 +217,6 @@
 	 * 
 	 */
-	public void expandSingleTrack(
-			SampledTrackModel track, 
-			Rectangle animationSource, 
-			TrackMixSubject mix,
-			String trackSourceFrameName,
-			int frameStart,
-			int frameLength) {
+	public void expandSingleTrack(SampledTrackModel track, AxisAlignedBoxBounds animationSource, TrackMixSubject mix, String trackSourceFrameName, int frameStart, int frameLength)
+	{
 		assert(animationSource != null);
 		assert(track != null);
@@ -265,6 +224,7 @@
 		synchronized(expandedTracks) {
 			// Hide all expandedTracks that are currently showing
-			while (!expandedTracks.isEmpty())
-				PopupManager.getInstance().hidePopup(expandedTracks.getFirst());
+			for (ExpandedTrackPopup expandedTrack : expandedTracks) {
+				expandedTrack.hide();
+			}
 		}
 
@@ -315,10 +275,10 @@
 	}
 	
-	private void cancelSelection() {
-		
+	private void cancelSelection()
+	{
 		hideTrackSelectionPopup();
 		
 		// Remove from selection
-		LinkedList<? extends ExpandedTrackPopup> old = (LinkedList<? extends ExpandedTrackPopup>)expandedTracks.clone();
+		LinkedList<? extends ExpandedTrackPopup> old = (LinkedList<? extends ExpandedTrackPopup>) expandedTracks.clone();
 		
 		synchronized(expandedTracks) {
@@ -341,5 +301,6 @@
 	 * 		A tracks ExpandedTrackPopup if one exists.
 	 */
-	private ExpandedTrackPopup getExpandedTrackPopup(SampledTrackModel track) {
+	private ExpandedTrackPopup getExpandedTrackPopup(SampledTrackModel track)
+	{
 		assert(track != null);
 		
@@ -362,5 +323,6 @@
 	 * 		True if the track is expanded - or is selected to be expanded..
 	 */
-	public boolean isTrackInExpansionSelection(SampledTrackModel track) {
+	public boolean isTrackInExpansionSelection(SampledTrackModel track)
+	{
 		assert(track != null);
 		return getExpandedTrackPopup(track) != null;
@@ -371,5 +333,6 @@
 	 * 			True if at least 1 expanded track is showing - or is selected to show.
 	 */
-	public boolean doesExpandedTrackExist() {
+	public boolean doesExpandedTrackExist()
+	{
 		synchronized(expandedTracks) {
 			return expandedTracks.size() > 0;
@@ -377,5 +340,6 @@
 	}
 	
-	public boolean isAnyExpandedTrackVisible() {
+	public boolean isAnyExpandedTrackVisible()
+	{
 		for (ExpandedTrackPopup xtp : expandedTracks) {
 			if (PopupManager.getInstance().isShowing(xtp)) return true;
@@ -389,10 +353,11 @@
 	 *
 	 */
-	public void showSelection() {
+	public void showSelection()
+	{
 		expandTracks(null);
 	}
 	
 	/**
-	 * Returns immediatly if there are no tracks selected. Only expands if the popup is not already expanded.
+	 * Returns immediately if there are no tracks selected. Only expands if the popup is not already expanded.
 	 * 
 	 * @param directAnimSource
@@ -401,6 +366,6 @@
 	 * 		a widget).
 	 */
-	private void expandTracks(Rectangle directAnimSource) {
-
+	private void expandTracks(AxisAlignedBoxBounds directAnimSource)
+	{
 		synchronized(expandedTracks) {
 			
@@ -418,12 +383,7 @@
 			for (ExpandedTrackPopup xtp : expandedTracks) {
 	
-				// Note: returns immediatly if already showing
-				PopupManager.getInstance().showPopup(
-						xtp, 
-						xtp.getLocation(), 
-						null,
-						PopupManager.getInstance().new ExpandShrinkAnimator(
-								directAnimSource,
-								null));
+				// Note: returns immediately if already showing
+				((ExpandShrinkAnimator) xtp.getAnimator()).setInitialBounds(directAnimSource);
+				xtp.show();
 			
 			}
@@ -435,9 +395,7 @@
 	}
 	
-	private void hideTrackSelectionPopup() {
-		PopupManager.getInstance().hidePopup(
-				trackSelectionPopup, PopupManager.getInstance().new ExpandShrinkAnimator(
-						new Rectangle((Browser._theBrowser.getWidth() / 2 ) - (trackSelectionPopup.getWidth() / 2),
-								0, trackSelectionPopup.getWidth(), trackSelectionPopup.getHeight()), null));
+	private void hideTrackSelectionPopup()
+	{
+		trackSelectionPopup.hide();
 	}
 	
@@ -446,9 +404,8 @@
 	 * current state of the window.
 	 */
-	private void updateLayout() {
-		
-		synchronized(expandedTracks) {
-				
-	
+	private void updateLayout()
+	{
+		synchronized(expandedTracks) {
+
 			if (expandedTracks.isEmpty()) return;
 			
@@ -456,9 +413,9 @@
 			assert(Browser._theBrowser != null);
 		
-			int cpWidth = Browser._theBrowser.getContentPane().getWidth();
-			int cpHeight = Browser._theBrowser.getContentPane().getHeight();
-			if (!FrameGraphics.isAudienceMode()) { // if message bay is showing - the remove the height
-				
-				cpHeight -= MessageBay.MESSAGE_BUFFER_HEIGHT;
+			int cpWidth = DisplayController.getFramePaintArea().getWidth();
+			int cpHeight = DisplayController.getFramePaintArea().getHeight();
+			if (!DisplayController.isAudienceMode()) { // if message bay is showing - the remove the height
+				
+				cpHeight -= DisplayController.getMessageBayPaintArea().getHeight();
 				
 			}
@@ -504,5 +461,6 @@
 	 * Global Track model re-use .... can be called from any thread
 	 */
-	public SampledTrackModel getSharedSampledTrackModel(String localfilename) {
+	public SampledTrackModel getSharedSampledTrackModel(String localfilename)
+	{
 		synchronized(expandedTracks) {
 			for (ExpandedTrackPopup xtp : expandedTracks) {
@@ -521,6 +479,7 @@
 	 *
 	 */
-	private class MultiTrackExpansionPopup extends Popup implements ActionListener {
-		
+	private class MultiTrackExpansionPopup extends Popup implements ActionListener
+	{
+		private JPanel panel;
 		private JButton expandButton;
 		private JButton cancelButton;
@@ -528,19 +487,22 @@
 		private JLabel selected2;
 		private JLabel selectedMore;
-
-		private static final long serialVersionUID = 1L;
+		
 		//private final Color BACK_COLOR = SampledTrackGraphViewPort.ZOOM_BACKING_COLOR_NORMAL;
 		
-		MultiTrackExpansionPopup() {
-			super(new GridBagLayout());
-			setSize(260, 80);
-			super.setAudoHide(false);
-			
-			expandButton = new JButton(IconRepository.getIcon("expand.png"));
+		MultiTrackExpansionPopup()
+		{
+			super(new ExpandShrinkAnimator());
+			
+			panel = new JPanel(new GridBagLayout());
+			panel.setSize(260, 80);
+			
+			expandButton = new JButton();
+			SwingMiscManager.setJButtonIcon(expandButton, IconRepository.getIcon("expand.png"));
 			expandButton.addActionListener(this);
 			expandButton.setPreferredSize(new Dimension(40, 40));
 			expandButton.setToolTipText("Expand selection");
 			
-			cancelButton = new JButton(IconRepository.getIcon("close.png"));
+			cancelButton = new JButton();
+			SwingMiscManager.setJButtonIcon(cancelButton, IconRepository.getIcon("close.png"));
 			cancelButton.addActionListener(this);
 			cancelButton.setPreferredSize(new Dimension(40, 40));
@@ -563,5 +525,5 @@
 			c.gridy = 0;
 			c.fill = GridBagConstraints.CENTER;
-			add(expandButton, c);
+			panel.add(expandButton, c);
 			
 			c = new GridBagConstraints();
@@ -569,5 +531,5 @@
 			c.gridy = 0;
 			c.fill = GridBagConstraints.CENTER;
-			add(cancelButton, c);
+			panel.add(cancelButton, c);
 			
 			c = new GridBagConstraints();
@@ -576,5 +538,5 @@
 			c.gridwidth = 2;
 			c.fill = GridBagConstraints.CENTER;
-			add(selected1, c);
+			panel.add(selected1, c);
 			
 			c = new GridBagConstraints();
@@ -583,5 +545,5 @@
 			c.gridwidth = 2;
 			c.fill = GridBagConstraints.CENTER;
-			add(selected2, c);
+			panel.add(selected2, c);
 			
 			c = new GridBagConstraints();
@@ -591,10 +553,14 @@
 			c.gridheight = 2;
 			c.fill = GridBagConstraints.CENTER;
-			add(selectedMore, c);
-
-		}
-		
-		public void onTrackSelectionChanged() {
-			
+			panel.add(selectedMore, c);
+		}
+		
+		public void setLocation(int x, int y)
+		{
+			panel.setLocation(x, y);
+		}
+		
+		public void onTrackSelectionChanged()
+		{
 			synchronized(expandedTracks) {
 					
@@ -628,5 +594,6 @@
 		}
 
-		public void actionPerformed(ActionEvent e) {
+		public void actionPerformed(ActionEvent e)
+		{
 			if (e.getSource() == expandButton) {
 				showSelection();
@@ -635,9 +602,28 @@
 			}
 		}
-		
-		
-
-	}
-	
-	
+
+		@Override
+		protected void paintInternal()
+		{
+			Graphics2D g = SwingMiscManager.getIfUsingSwingGraphicsManager().getCurrentSurface();
+			
+			panel.paint(g);
+		}
+
+		@Override
+		public AxisAlignedBoxBounds getFullBounds()
+		{
+			return SwingConversions.fromSwingRectangle(panel.getBounds());
+		}
+
+		@Override
+		public void onHide()
+		{
+		}
+
+		@Override
+		public void onShow()
+		{
+		}
+	}
 }
